local function complete_purple_inserter_recipe(name,check_inserter)
  if data.raw.recipe[name] then
    if data.raw.item["titanium-bearing"] then
      bobmods.lib.add_recipe_item(name, {"titanium-bearing", 2})
    else
      bobmods.lib.add_recipe_item(name, {"iron-gear-wheel", 2})
    end

    if data.raw.item["titanium-gear-wheel"] then
      bobmods.lib.replace_recipe_item(name, "iron-gear-wheel", "titanium-gear-wheel")
    end
  end
  
  
  if data.raw.item[check_inserter] then
  	bobmods.lib.replace_recipe_item(name,"filter-inserter",check_inserter)
  	bobmods.lib.add_technology_recipe ("fast-smart-inserters", name)
  end
end


complete_purple_inserter_recipe("fast-smart-near-inserter"	 ,"filter-near-inserter"		)
complete_purple_inserter_recipe("fast-smart-inserter" 		 ,"filter-inserter"		)
												
complete_purple_inserter_recipe("fast-smart-short-far-inserter"	 ,"filter-short-far-inserter"	)
complete_purple_inserter_recipe("fast-smart-short-long-inserter" ,"filter-short-long-inserter"	)
												
complete_purple_inserter_recipe("fast-smart-long-near-inserter"	 ,"filter-long-near-inserter"	)
complete_purple_inserter_recipe("fast-smart-long-short-inserter" ,"filter-long-short-inserter"	)
												
complete_purple_inserter_recipe("fast-smart-far-inserter"	 ,"filter-far-inserter"		)
complete_purple_inserter_recipe("fast-smart-long-inserter"	 ,"filter-long-inserter"		)


bobmods.lib.add_technology_prerequisite	("fast-smart-inserters" ,"near-inserters-3")
bobmods.lib.add_technology_prerequisite	("fast-smart-inserters" ,"more-inserters-2")
bobmods.lib.add_technology_prerequisite	("fast-smart-inserters" ,"long-inserters-3")

      
      
      
