
if data.raw.fluid["sodium-hydroxide"] and data.raw["item-subgroup"]["bob-material-chemical"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "alumina",
	    category = "chemical-furnace",
	    subgroup = "bob-material-chemical",
	    energy_required = 2,
	    enabled = false,
	    ingredients =
	    {
	      {"sodium-hydroxide", 4},
	      {"bauxite-ore", 1},
	    },
	    result="alumina",
	  },
	})
end
if data.raw.fluid["sodium-hydroxide"] and data.raw["item-subgroup"]["bob-material-smelting"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-sodium-hydroxide-compact",
	    category = "smelting",
	    subgroup = "bob-material-smelting",
	    energy_required = 5,
	    enabled = "false",
	    ingredients = {{"sodium-hydroxide", 20}},
	    icon = "__ExtraChests__/graphics/icons/fluids/sodium-hydroxide-compact.png",
	    result = "sodium-hydroxide",
	  },  
	})
end
if data.raw.fluid["sulfur-dioxide"] and data.raw["item-subgroup"]["addon-sulfur-fluids"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-sulfur-dioxide",
	    category = "chemistry",
	    subgroup = "addon-sulfur-fluids",
	    energy_required = 2,
	    enabled = false,
	    ingredients =
	    {
	      {type="item", name="lead-ore", amount=1},
	      {type="fluid", name="oxygen", amount=1.5},
	    },
	    results=
	    {
	      {type="item", name="lead-oxide", amount=1},
	      {type="fluid", name="sulfur-dioxide", amount=1},
	    },
	    main_product= "sulfur-dioxide",
	    icon = "__ExtraChests__/graphics/icons/fluids/sulfur-dioxide.png",
	    order = "a[sulfur1]",
	  },
	})
end
--[[
if data.raw.fluid["sulfuric-acid"] and data.raw["item-subgroup"]["addon-sulfur-fluids"] and data.raw.recipe["bob-nickel-plate"].results[1].name == "sulfur-acid" then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-sulfur-acid-nickel",
	    category = "electrolysis",
	    subgroup = "addon-sulfur-fluids",
	    energy_required = 3.5,
	    enabled = false,
	    ingredients =
	    {
	      {type="item", name="nickel-ore", amount=1},
	--      {type="fluid", name="water", amount=1},
	--      {type="fluid", name="oxygen", amount=1.5}
	      {type="fluid", name="oxygen", amount=1}
	    },
	    results=
	    {
	      {type="fluid", name="sulfuric-acid", amount=1},
	      {type="item", name="nickel-plate", amount=1}
	    },
	    main_product= "sulfuric-acid",
	    icon = "__ExtraChests__/graphics/icons/fluids/sulfuric-acid-nickel-recipe.png",
	    order = "a[sulfur2]",
	  },
	})
end
and data.raw.recipe["bob-nickel-plate"].results[1].name == "sulfur-dioxide"]]--

if data.raw.fluid["sulfur-dioxide"] and data.raw["item-subgroup"]["addon-sulfur-fluids"]  then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-sulfur-dioxide-nickel",
	    category = "electrolysis",
	    subgroup = "addon-sulfur-fluids",
	    energy_required = 3.5,
	    enabled = false,
	    ingredients =
	    {
	      {type="item", name="nickel-ore", amount=1},
	--      {type="fluid", name="water", amount=1},
	--      {type="fluid", name="oxygen", amount=1.5}
	      {type="fluid", name="oxygen", amount=1}
	    },
	    results=
	    {
	      {type="fluid", name="sulfur-dioxide", amount=1},
	      {type="item", name="nickel-plate", amount=1}
	    },
	    main_product= "sulfur-dioxide",
	    icon = "__ExtraChests__/graphics/icons/fluids/sulfuric-dioxide-nickel-recipe.png",
	    order = "a[sulfur2]",
	  },
	})
end

if data.raw.fluid["hydrogen-chloride"] and data.raw["item-subgroup"]["bob-resource-chemical"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-calcium-chloride",
	    category = "chemistry",
	    enabled = "false",
	    energy_required = 2,
	    ingredients =
	    {
	      {type="item", name="tungsten-ore", amount=2},
	      {type="fluid", name="hydrogen-chloride", amount=4}
	    },
	    results=
	    {
	      {type="fluid", name="tungstic-acid", amount=2},
	      {type="item", name="calcium-chloride", amount=1}
	    },
	    main_product= "calcium-chloride",
	    subgroup = "bob-resource-chemical",
	    icon = "__ExtraChests__/graphics/icons/fluids/tungstic-acid-calcium-chloride.png",
	    order = "f[calcium-chloride]"
	  },
	})
end
if data.raw.fluid["sodium-hydroxide"] and data.raw["item-subgroup"]["bob-material-electrolysis"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-salt-water-electrolysis",
	    category = "electrolysis",
	    enabled = "false",
	    energy_required = 1,
	    ingredients =
	    {
	      {type="item", name="salt", amount=2},
	      {type="fluid", name="water", amount=2}
	    },
	    results=
	    {
	      {type="item", name="sodium-hydroxide", amount=1},
	      {type="fluid", name="chlorine", amount=1},
	      {type="fluid", name="hydrogen", amount=1},
	    },
	    icon = "__ExtraChests__/graphics/icons/fluids/sodium-hydroxide-recipe.png",
	    subgroup = "bob-material-electrolysis",
	    order = "z[fluid-chemistry]-b[salt-water-electrolysis]"
	  },
	})
end
if data.raw.item["lithium-chloride"] and data.raw["item-subgroup"]["bob-material-electrolysis"] then 
	data:extend(
	{
	  {
	    type = "recipe",
	    name = "addon-lithium-water-electrolysis",
	    category = "electrolysis",
	    enabled = "false",
	    energy_required = 1,
	    ingredients =
	    {
	      {type="item", name="lithium-chloride", amount=1},
	      {type="fluid", name="water", amount=2}
	    },
	    results=
	    {
	      {type="item", name="lithium-perchlorate", amount=1},
	      {type="fluid", name="hydrogen", amount=1},
	    },
	    icon = "__ExtraChests__/graphics/icons/fluids/lithium-perchlorate-recipe.png",
	    subgroup = "bob-material-electrolysis",
	    order = "z[fluid-chemistry]-c[lithium-water-electrolysis]"
	  },
	})
end



if data.raw.item["tin-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk2", "iron-plate", "tin-plate")
end
if data.raw.item["silver-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk2", "copper-plate", "silver-plate")
  bobmods.lib.replace_recipe_item ("radar-mk3", "copper-plate", "silver-plate")
end
if data.raw.item["titanium-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk2", "plastic-bar", "titanium-plate")
  bobmods.lib.replace_recipe_item ("radar-mk4", "copper-plate", "titanium-plate")
  bobmods.lib.replace_recipe_item ("radar-mk5", "copper-plate", "titanium-plate")
end
if data.raw.item["lead-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk3", "steel-plate", "lead-plate")
end
if data.raw.item["nitinol-alloy"] then
  bobmods.lib.replace_recipe_item ("radar-mk3", "effectivity-module", "nitinol-alloy")
  bobmods.lib.replace_recipe_item ("radar-mk4", "effectivity-module-2", "nitinol-alloy")
  bobmods.lib.replace_recipe_item ("radar-mk5", "effectivity-module-3", "nitinol-alloy")
end
if data.raw.item["tungsten-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk4", "steel-plate", "tungsten-plate")
end
if data.raw.item["module-processor-board-3"] then
  bobmods.lib.replace_recipe_item ("radar-mk4", "processing-unit", "module-processor-board-3")
  bobmods.lib.replace_recipe_item ("radar-mk5", "processing-unit", "module-processor-board-3")
end
if data.raw.item["cobalt-plate"] then
  bobmods.lib.replace_recipe_item ("radar-mk5", "steel-plate", "cobalt-plate")
end

